<?php
/*
Theme Name: GreyDragon
Version: 1.0.11
Description: Dark, slate, white background, grayscale.
Theme URI: http://piwigo.org/ext/extension_view.php?eid=775
Author: Serge Dosyukov
Author URI: http://blog.dragonsoft.us
*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

define('GDTHEME_VERSION', '1.0.12');

require_once( PHPWG_THEMES_PATH . 'greydragon/include/greydragon.class.php');
require_once( PHPWG_THEMES_PATH . 'greydragon/admin/upgrade.inc.php');

$themeCore = greyDragonCore::Instance(GDTHEME_VERSION);

$themeconf = array(
  'name'  => 'greydragon',
  'parent' => 'default',
  'colorscheme' => 'whitehawk' == $themeCore->getOption('p_colorpack') ? 'clear' : 'dark'
);

add_event_handler('init', 'greydragon_init');
add_event_handler('loc_begin_page_header', 'greydragon_set_header', 55);

pwg_set_session_var('show_metadata', 1);

// Load Theme's Parameters
function greydragon_init() {
  global $template;

  $themeCore = greyDragonCore::Instance();
  if ($themeCore->hasOption("p_logo_path") || $themeCore->hasOption("p_header") || $themeCore->hasOption('page_banner', TRUE)):
    add_event_handler('render_page_banner', 'greydragon_render_header');
  endif;
  if ($themeCore->getOption("p_nocounter") == "on"):
    add_event_handler('loc_end_index', 'no_breadcrumb_counter');
  endif;

  $template->assign('greydragon', $themeCore->getConfig());
}

// Render custom header content
function greydragon_render_header() {

  return greyDragonCore::Instance()->getHeader();
}

// Add custom favicon or custom meta if provided
function greydragon_set_header() {
  global $template;

  $themeCore = greyDragonCore::Instance();
  if (($themeCore->hasOption("p_favicon_path")) || ($themeCore->getOption("p_nogenerator"))):
    $template->set_prefilter('header', "greydragon_head");
  endif;
}

// Render head content
function greydragon_head($content, &$smarty) {
  return greyDragonCore::Instance()->getHead($content);
}

function no_breadcrumb_counter() {
  global $template;

  $titre = $template->get_template_vars('TITLE');
  $pos = strrpos($titre,"[");
  if ($pos !== false):
    $template->assign('TITLE', substr($titre, 0, $pos));
  endif;
}

?>